# template: hammer_plugin
%global gem_name hammer_cli_foreman_webhooks
%global plugin_name foreman_webhooks

%global hammer_confdir %{_sysconfdir}/hammer

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?foremandist}%{?dist}
Summary: Foreman Webhooks plugin for Hammer CLI
License: GPL-3.0-only
URL: https://github.com/theforeman/hammer-cli-foreman-webhooks
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.7
Requires: ruby < 4
BuildRequires: ruby >= 2.7
BuildRequires: ruby < 4
BuildRequires: rubygems-devel
BuildArch: noarch
Provides: hammer-cli-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

%description
Foreman Webhooks plugin for Hammer CLI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{hammer_confdir}/cli.modules.d
install -m 0644 .%{gem_instdir}/config/%{plugin_name}.yml \
                %{buildroot}%{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%config(noreplace) %{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/config
%{gem_instdir}/test

%changelog
* Wed May 14 2025 Foreman Packaging Automation <packaging@theforeman.org> - 0.2.0-1
- Update to 0.2.0

* Mon Jan 08 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.1.0-1
- Update to 0.1.0

* Thu Sep 08 2022 Oleh Fedorenko <ofedoren@redhat.com> 0.0.4-1
- Update to 0.0.4

* Wed Jun 01 2022 Oleh Fedorenko <ofedoren@redhat.com> 0.0.3-1
- Update to 0.0.3

* Fri Jul 23 2021 Oleh Fedorenko <ofedoren@redhat.com> 0.0.2-1
- Update to 0.0.2

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.0.1-2
- Rebuild plugins for Ruby 2.7

* Mon Feb 15 2021 Oleh Fedorenko <ofedoren@redhat.com> 0.0.1-1
- Add rubygem-hammer_cli_foreman_webhooks generated by gem2rpm using the hammer_plugin template

